Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class InstructionForDebtorAgent1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.InstructionForDebtorAgent1

public class InstructionForDebtorAgent1 extends Object

Java class for InstructionForDebtorAgent1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="InstructionForDebtorAgent1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Cd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}ExternalDebtorAgentInstruction1Code" minOccurs="0"/>
             <element name="InstrInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`cd`
`protected String`
`instrInf`

## Constructor Summary

Constructors
Constructor
Description
`InstructionForDebtorAgent1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCd()`
Gets the value of the cd property.
`String`
`getInstrInf()`
Gets the value of the instrInf property.
`void`
`setCd(String value)`
Sets the value of the cd property.
`void`
`setInstrInf(String value)`
Sets the value of the instrInf property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cd

protected String cd

### instrInf

protected String instrInf

## Constructor Details

### InstructionForDebtorAgent1

public InstructionForDebtorAgent1()

## Method Details

### getCd

public String getCd()
Gets the value of the cd property.

Returns:
  possible object is `String`

### setCd

public void setCd(String value)
Sets the value of the cd property.

Parameters:
  `value` - allowed object is `String`

### getInstrInf

public String getInstrInf()
Gets the value of the instrInf property.

Returns:
  possible object is `String`

### setInstrInf

public void setInstrInf(String value)
Sets the value of the instrInf property.

Parameters:
  `value` - allowed object is `String`